"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                             */
;/* empty css                                                                    */
;/* empty css                                                                         */
;/* empty css                                                                */
;/* empty css                                                                     */
;/* empty css                                                                  */
;/* empty css                                                               */
;/* empty css                                                                  */
;/* empty css                                                                        */
;/* empty css                                                                  */
;/* empty css                                                                     */
;/* empty css                                                                 */
const Vue = require("vue");
const EventConfigButton = require("../../../components/EventConfigButton.vue.js");
const common = require("../../utils/common.js");
const ConditionConfigButton = ;/* empty css                                              */
const index = require("../../../../../node_modules/element-plus/es/components/collapse/index.js");
const index$1 = require("../../../../../node_modules/element-plus/es/components/form/index.js");
const index$2 = require("../../../../../node_modules/element-plus/es/components/input/index.js");
const index$3 = require("../../../../../node_modules/element-plus/es/components/select/index.js");
const _sfc_main = {
  __name: "optBtn",
  setup(__props) {
    const currentItem = Vue.computed(() => {
      return common.getCurrentItem();
    });
    const activeName = Vue.ref(["common"]);
    function handleEventConfirm(data) {
      currentItem.value.eventConfig = data;
    }
    return (_ctx, _cache) => {
      const _component_el_input = index$2.ElInput;
      const _component_el_form_item = index$1.ElFormItem;
      const _component_el_option = index$3.ElOption;
      const _component_el_select = index$3.ElSelect;
      const _component_el_form = index$1.ElForm;
      const _component_el_collapse_item = index.ElCollapseItem;
      const _component_el_collapse = index.ElCollapse;
      return Vue.openBlock(), Vue.createBlock(_component_el_collapse, {
        class: "setting",
        modelValue: Vue.unref(activeName),
        "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => Vue.isRef(activeName) ? activeName.value = $event : null)
      }, {
        default: Vue.withCtx(() => [
          Vue.createVNode(_component_el_collapse_item, {
            name: "common",
            title: "基本属性"
          }, {
            default: Vue.withCtx(() => [
              Vue.createVNode(_component_el_form, {
                "label-position": "top",
                "label-width": "auto",
                model: Vue.unref(currentItem)
              }, {
                default: Vue.withCtx(() => [
                  Vue.createVNode(_component_el_form_item, {
                    label: "按钮名称",
                    required: ""
                  }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_input, {
                        modelValue: Vue.unref(currentItem).label,
                        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => Vue.unref(currentItem).label = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "权限标识" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_input, {
                        modelValue: Vue.unref(currentItem).permission,
                        "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => Vue.unref(currentItem).permission = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "禁用条件" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(ConditionConfigButton.default, {
                        condition: Vue.unref(currentItem).disableCondition,
                        onConfirm: (data) => Vue.unref(currentItem).disableCondition = data
                      }, null, 8, ["condition", "onConfirm"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "风格" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_select, {
                        modelValue: Vue.unref(currentItem).btnStyle,
                        "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => Vue.unref(currentItem).btnStyle = $event)
                      }, {
                        default: Vue.withCtx(() => [
                          Vue.createVNode(_component_el_option, {
                            label: "默认",
                            value: "default"
                          })
                        ]),
                        _: 1
                      }, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "事件配置" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(EventConfigButton.default, {
                        config: Vue.unref(currentItem).eventConfig,
                        onConfirm: handleEventConfirm
                      }, null, 8, ["config"])
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["model"])
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["modelValue"]);
    };
  }
};
exports.default = _sfc_main;
